# Type Alias PaginationOpts

type PaginationOpts = {
current_page: number;
get_page_link: (index: number) => string;
noMaxPage?: boolean;
pages: number;
trailing_ellipsis?: boolean;
}

- Defined in helpers.ts:208

##### Index

### Properties

current_page
get_page_link
noMaxPage?
pages
trailing_ellipsis?

## Properties

### current_page

current_page: number

- Defined in helpers.ts:209

### get_page_link

get_page_link: (index: number) => string

- Defined in helpers.ts:211

### `Optional` noMaxPage

noMaxPage?: boolean

- Defined in helpers.ts:213

### pages

pages: number

- Defined in helpers.ts:210

### `Optional` trailing_ellipsis

trailing_ellipsis?: boolean

- Defined in helpers.ts:212